FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil

GETTING STARTED

Start Exploring
Quick Start
Authentication

AI TOOLS

Build with AI
MCP Server

CORE CONCEPTS

Overview
API Versioning
End Users
Auth Sessions
Consents
Testing
Webhooks

FISKIL LINK

Introduction
Integrating the Link SDK
Flow Overview
Fiskil Link messaging

RESOURCES

Best Practices
Renew Consents
Mobile Integration
Go Live Checklist

ACCOUNT & ACCESS

Security
Team & Roles
SSO Logins
Configure Microsoft (Entra ID) as a SSO Provider
Monitoring & Logs

DATA DOMAINS

Overview
Historical balances
Energy Data
Identity Data
Income

HELP CENTER

Migrating to Fiskil APIs
Banking - Business Accounts
Energy - Business Accounts

SUPPORT

Troubleshooting
Log InSign Up
Changelog
Upgrade to v3
Upgrade to v2
Legacy Changelog

Changelog

Release notes and versioning updates for the Fiskil Data API.

AI Actions

All changes to the Data API are listed here. For changes made before the new versioning model, see the Legacy Changelog.

For how version selection works — the X-Fiskil-Version header, Console pinning, and what counts as a breaking change — see API Versioning.

Version
Changes
19-08-2026 (v3.2.0)
v3.2.0
  • New feature: Added GET /v1/data-freshness endpoint to retrieve freshness information and last refresh timestamps for datasets.
  • Update: Removed the meta object from the transactions response introduced in the previous minor version.

31-07-2026 (v3.1.0)
v3.1.0
  • New feature: Get transactions endpoint now includes meta object with last updated time per account

08-07-2026 (v3.0.0)
v3.0.0

Initial release of major version v3. v3 is now the current major version for new accounts.

This release introduces breaking changes for two Core Resources endpoints:

  • Consents: GET /consent (list consents)
  • End Users: GET /end-users (list end users)

Banking and Energy endpoints are unchanged from v2.

New in v3: cursor-based pagination (page[before], page[after], page[size]) and a links object on the consents and end-users list responses.

See the v2 -> v3 upgrade guide for the exact request and response schema changes.


19-08-2026 (v2.2.0)
v2.2.0
  • New feature: Added GET /v1/data-freshness endpoint to retrieve freshness information and last refresh timestamps for datasets.
  • Update: Removed the meta object from the transactions response introduced in the previous minor version.

31-07-2026 (v2.1.0)
v2.1.0
  • New feature: Get transactions endpoint now includes meta object with last updated time per account

25-06-2026 (v2.0.1)
v2.0.1
  • Bug fix: Added missing arrangement_id field to the energy invoices endpoint.
  • Bug fix: Add 429 status code for banking balance endpoint with live fetch=true.
  • New feature: Get consents endpoints now support the expires_before query parameter.

07-04-2026 (v2.0.0)
v2.0.0

Initial release of major version v2.

This release introduces breaking changes for:

  • Identity: GET /common/identity
  • Banking: GET /banking/transactions
  • Banking: GET /banking/products/{product_id}
  • Banking: GET /banking/accounts

See the v1 -> v2 upgrade guide for the exact response schema changes.


19-08-2026 (v1.2.0)
v1.2.0
  • New feature: Added GET /v1/data-freshness endpoint to retrieve freshness information and last refresh timestamps for datasets.
  • Update: Removed the meta object from the transactions response introduced in the previous minor version.

31-07-2026 (v1.1.0)
v1.1.0
  • New feature: Get transactions endpoint now includes meta object with last updated time per account

25-06-2026 (v1.0.1)
v1.0.1
  • Bug fix: Added missing arrangement_id field to the energy invoices endpoint.
  • Bug fix: Add 429 status code for banking balance endpoint with live fetch=true.
  • New feature: Get consents endpoints now support the expires_before query parameter.

07-04-2026 (v1.0.0)
v1.0.0

Baseline major version at the start of the new versioning model.

No breaking changes were introduced in v1.0.0. It keeps the same response shapes as the pre-versioning API endpoints below and all existing customers were pinned to it by default.

  • Core Resources: Institutions, Consents, End Users
  • Banking APIs: Accounts, Transactions, Balances
  • Energy APIs: Service Points, Usage
  • Webhook integrations for data sync events

Was this page helpful?

PaginationUpgrade to v3

On this page

v3.2.019-08-2026 (v3.2.0)v3.1.031-07-2026 (v3.1.0)v3.0.008-07-2026 (v3.0.0)v2.2.019-08-2026 (v2.2.0)v2.1.031-07-2026 (v2.1.0)v2.0.125-06-2026 (v2.0.1)v2.0.007-04-2026 (v2.0.0)v1.2.019-08-2026 (v1.2.0)v1.1.031-07-2026 (v1.1.0)v1.0.125-06-2026 (v1.0.1)v1.0.007-04-2026 (v1.0.0)

Assistant